Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.loom
Class DefaultServiceFactory

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.codehaus.xfire.loom.DefaultServiceFactory

All Implemented Interfaces:
  org.apache.avalon.framework.activity.Initializable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, ServiceFactory

    public class DefaultServiceFactory

extends org.apache.avalon.framework.logger.AbstractLogEnabled
implements ServiceFactory, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.framework.activity.Initializable

Default implementation of a ServiceFactory

Author:
  peter royal

Constructor Summary
`DefaultServiceFactory()`

Method Summary
`void` | `addIgnoredMethods(java.lang.String className)`
`Service` | `create(java.lang.Class clazz)` Create a service from the specified class.
`Service` | `create(java.lang.Class clazz, java.util.Map properties)` Create a service from the specified class.
`Service` | `create(java.lang.Class clazz, java.lang.String name, java.lang.String namespace, java.util.Map properties)` Create a service from the specified class.
`Service` | `create(java.lang.Class clazz, java.net.URL wsdlUrl)` Create a service from a WSDL file.
`protected TransportManager` | `getTransportManager()`
`protected TypeMappingRegistry` | `getTypeMappingRegistry()`
`void` | `initialize()`
`void` | `service(org.apache.avalon.framework.service.ServiceManager manager)`
`protected void` | `setFactory(ObjectServiceFactory factory)`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultServiceFactory

    public DefaultServiceFactory()

Method Detail

### service

    public void service(org.apache.avalon.framework.service.ServiceManager manager)
                 throws org.apache.avalon.framework.service.ServiceException

  Specified by:
    `service` in interface `org.apache.avalon.framework.service.Serviceable`
  Throws:
    `org.apache.avalon.framework.service.ServiceException`

### getTransportManager

    protected final TransportManager getTransportManager()

### getTypeMappingRegistry

    protected final TypeMappingRegistry getTypeMappingRegistry()

### setFactory

    protected final void setFactory(ObjectServiceFactory factory)

### initialize

    public void initialize()
                    throws java.lang.Exception

  Specified by:
    `initialize` in interface `org.apache.avalon.framework.activity.Initializable`
  Throws:
    `java.lang.Exception`

### create

    public Service create(java.lang.Class clazz)

  Description copied from interface: `ServiceFactory`
  Create a service from the specified class.

  Specified by:
    `create` in interface `ServiceFactory`
  Parameters:
    `clazz` - The service class used to populate the operations and parameters.
  Returns:
    The service.

### addIgnoredMethods

    public void addIgnoredMethods(java.lang.String className)

### create

    public Service create(java.lang.Class clazz,
                          java.net.URL wsdlUrl)
                   throws java.lang.Exception

  Description copied from interface: `ServiceFactory`
  Create a service from a WSDL file. NOTE: This probably doesn't work yet.

  Specified by:
    `create` in interface `ServiceFactory`
  Parameters:
    `clazz` - The service class for the wsdl.
    `wsdlUrl` - The WSDL URL.
  Returns:
  Throws:
    `java.lang.Exception`

### create

    public Service create(java.lang.Class clazz,
                          java.util.Map properties)

  Description copied from interface: `ServiceFactory`
  Create a service from the specified class.

  Specified by:
    `create` in interface `ServiceFactory`
  Parameters:
    `clazz` - The service class used to populate the operations and parameters.
    `properties` - Properties to set on the service and use in construction.
  Returns:
    The service.

### create

    public Service create(java.lang.Class clazz,
                          java.lang.String name,
                          java.lang.String namespace,
                          java.util.Map properties)

  Description copied from interface: `ServiceFactory`
  Create a service from the specified class.

  Specified by:
    `create` in interface `ServiceFactory`
  Parameters:
    `clazz` - The service class used to populate the operations and parameters.
    `name` - The name of the service.
    `namespace` - The default namespace of the service.
    `properties` - Service specific properties which the ServiceFactory will use to create the service.
  Returns:
    The service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.